/*
 * Eduaction.java
 *
 * Created on October 11, 2004, 1:48 AM
 */

package university;

/**
 * Class for the Education department of the univeristy.
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */
public class Education extends Academic{
    
    /** Creates a new instance of Education. */
    protected Education(){
        super();
    }
    
    /**
     * Creates a new instance of Eduaction
     * @param name The name of the Education Unit.
     * @param address The address of the Education Unit.
     */
    protected Education(String name, Address address) {
        super(name, address);
    }
    
    /**
     * Return the unit belonged to.
     * @return Unit The Unit that it belongs to.
     */
    public static Unit getInstance(){
        return edu;
    }
  
    /**
     * Singleton method to create an Eduaction Unit.
     * @param name The name of the Education Unit.
     * @param address The address of the Eduaction Unit.
     * @return Unit The new Education Unit.
     */
    public static synchronized Unit create(String name, Address address){
        if(edu == null){
            edu = new Education(name, address);
        }
        return edu;
    }    
    
    private static Education edu;
}
