/*
 * HR.java
 *
 * Created on October 11, 2004, 1:47 AM
 */

package university;

/**
 * Class for the Human Resource department of the university.
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */
public class HR extends Admin{
    
    /** Creates a new instance of HR */
    protected HR(String name, Address address){
        super(name, address);
    }
    
    /**
     * Returns an instance of HR.
     * @return Unit Returns a HR unit.
     */
    public static Unit getInstance(){
        return hr;
    }
  
    /**
     * Create a new HR Unit.
     * @param name The name of the Unit.
     * @param address The address of the Unit
     * @return Unit the new unit that was created
     */
    public static synchronized Unit create(String name, Address address){
        if(hr == null){
            hr = new HR(name, address);
        }
        return hr;
    }
    private static HR hr;
    
}
