/*
 * Menu.java
 *
 * Created on November 2, 2004, 12:00 AM
 */

package university;

/**
 * Displays various menus to the user.
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */

public class Menu {
    
    /** Display the main university menu on the console */
    public static void displayMainMenu(){
        System.out.println("\nWhat do you want to do");
        System.out.println("\t1- Add a person");
        System.out.println("\t2- List all");
        System.out.println("\t3- List Category");
        System.out.println("\t4- List Unit");
        System.out.println("\t5- Number of entries (size)");
        System.out.println("\t6- Find Person");
        System.out.println("\t7- Exit");  
        System.out.print("Enter your option: ");
 
    }
    
    /** Display the person menu on the console */
    public static void displayPersonMenu(){
        System.out.println("           Category Menu");
        System.out.println("-------------------------------------");
        System.out.println("\tEmployee");
        System.out.println("\t\t1- Staff");
        System.out.println("\t\t2- Faculty");   
        System.out.println("\tStudent");
        System.out.println("\t\t3- Undergraduate");
        System.out.println("\t\t4- Graduate");
    } 
    
    /** Display the unit menu on the console. */
    public static void displayUnitMenu(){
        System.out.println("             Unit Menu");
        System.out.println("--------------------------------------");
        System.out.println("\t1- CIS");
        System.out.println("\t2- Education"); 
        System.out.println("\t3- Library");   
        System.out.println("\t4- HR");
        System.out.println("\t5- Admissions");
    }
}
